﻿header #MainHeaderWrapper #MainHeaderContainer {
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

#header-spacer {
    display: none;
}

#ProductDetailWrapper {
    position: relative;
    overflow: hidden;
}

    #ProductDetailWrapper .ProductBackgroundCover {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
    }

        #ProductDetailWrapper .ProductBackgroundCover img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            opacity: .6;
            filter: blur(30px);
            padding-block-start: 2em;
        }

        #ProductDetailWrapper .ProductBackgroundCover .Overlay {
            box-sizing: border-box;
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background-image: linear-gradient( to bottom, transparent, rgb(247, 247, 247, 1));
        }



    #ProductDetailWrapper > .InnerContent {
        max-width: 120em;
        margin: calc(var(--header-height) + 5em) auto 2.1em;
        padding: 0 2em;
        box-sizing: border-box;
        display: flex;
        gap: 3em;
        position: relative;
        align-items: center;
    }

    #ProductDetailWrapper .ProductImage {
        width: var(--width);
        border-radius: calc(var(--width) / 10);
        overflow: hidden;
        box-shadow: rgba(0 0 0 / 10%) 0 0 0 1px,rgba(0 0 0/20%) 0 0 2em;
    }

        #ProductDetailWrapper .ProductImage[product-classification="Card" i] {
            --width: 15em;
            height: calc(var(--width) * 1.333334);
        }

        #ProductDetailWrapper .ProductImage[product-classification="DirectTopUp" i] {
            --width: 18em;
            aspect-ratio: 1 / 1;
        }

        #ProductDetailWrapper .ProductImage img {
            width: 100%;
            height: 100%;
        }

    #ProductDetailWrapper .ProductInfo {
        display: flex;
        flex-direction: column;
        justify-content: end;
        gap: .5em;
    }

        #ProductDetailWrapper .ProductInfo .ProductTitle h1 {
            font-size: 2.5em;
            font-weight: 800;
            text-transform: uppercase;
        }


        #ProductDetailWrapper .ProductInfo #ImportantNotes {
            background-color: rgba(0 0 0 / 3%);
            padding: 1em;
            border-radius: .6em;
            max-width: 40em;
            margin-block: 1.5em;
            font-weight: 500;
        }

        #ProductDetailWrapper .ProductInfo .Specification {
            display: flex;
            flex-wrap: wrap;
            gap: 1.3em;
        }

            #ProductDetailWrapper .ProductInfo .Specification > li {
                display: grid;
                grid-template-columns: auto 1fr;
                gap: .5em;
                align-items: center;
            }

            #ProductDetailWrapper .ProductInfo .Specification [region]::before {
                --h: 2em;
                margin: 0;
                transform: scale(.833334);
            }

            #ProductDetailWrapper .ProductInfo .Specification > li #InstantIcon {
                display: flex;
                justify-content: center;
                align-items: center;
                aspect-ratio: 1 / 1;
                width: 1.65em;
                background-color: var(--theme-color);
                color: #fff;
                border-radius: .4em;
            }

                #ProductDetailWrapper .ProductInfo .Specification > li #InstantIcon i {
                    font-size: .8em;
                }


#ProductContentWrapper {
    padding: 2.5em 0;
}

    #ProductContentWrapper > .InnerContent,
    .ProductContentSection > .InnerContent {
        max-width: 120em;
        margin-inline: auto;
        padding-inline: 2em;
        box-sizing: border-box;
        display: grid;
        grid-template-columns: 1fr clamp(30em, 33%, 30em);
        gap: 2em;
        align-items: start;
    }

    #ProductContentWrapper .ProductVariantList {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(30em, 1fr));
        gap: 1em;
        align-items: start;
    }

        #ProductContentWrapper .ProductVariantList .VariantOption {
            display: grid;
            grid-template-columns: auto 1fr auto;
            gap: 1em;
            padding: 1.3em;
            border-radius: 1em;
            align-items: center;
            background: #fff;
            cursor: pointer;
            box-shadow: rgba(0 0 0 / 3%) 0 0 0 0,rgba(0 0 0/ 2%) 0 0 1em;
        }

            #ProductContentWrapper .ProductVariantList .VariantOption[is-selected="true" i] {
                box-shadow: rgba(255 129 16 / 10) 0 0 0 2px inset;
                background-color: rgba(255 129 16 / 10%);
            }

                #ProductContentWrapper .ProductVariantList .VariantOption[is-selected="true" i] .Icon img {
                    opacity: .6;
                }

            #ProductContentWrapper .ProductVariantList .VariantOption[data-status="1"] {
                cursor: not-allowed;
                opacity: .5;
            }

                #ProductContentWrapper .ProductVariantList .VariantOption[data-status="1"] .VariantName::after {
                    content: 'Unavailable';
                    display: block;
                    width: fit-content;
                    font-size: .8em;
                    font-weight: 500;
                    line-height: 1.8;
                    background-color: rgba(255 0 0);
                    color: #fff;
                    border-radius: .4em;
                    padding-inline: .65em;
                }

            #ProductContentWrapper .ProductVariantList .VariantOption .Icon {
                width: 4em;
                height: 4em;
                overflow: hidden;
                border-radius: 25%;
                position: relative;
            }

                #ProductContentWrapper .ProductVariantList .VariantOption .Icon img {
                    width: 100%;
                    height: 100%;
                }


            #ProductContentWrapper .ProductVariantList .VariantOption .VariantName {
                font-size: 1em;
                font-weight: 700;
                flex-wrap: wrap;
            }

            #ProductContentWrapper .ProductVariantList .VariantOption .VariantPrice {
                font-size: 1em;
                text-align: right;
            }

                #ProductContentWrapper .ProductVariantList .VariantOption .VariantPrice .SellingPrice {
                    font-weight: 800;
                    color: var(--theme-color);
                    white-space: nowrap;
                }

                #ProductContentWrapper .ProductVariantList .VariantOption .VariantPrice .OriginalPrice {
                    opacity: .5;
                    text-decoration: line-through;
                    white-space: nowrap;
                }

    #ProductContentWrapper .ActionSection {
        display: grid;
        gap: 1em;
    }

        #ProductContentWrapper .ActionSection #OrderQuantityContainer {
            display: grid;
            grid-template-columns: 1fr auto;
            gap: 2em;
            align-items: center;
            padding: 1.5em 2em;
            background: #fff;
            border-radius: 1em;
            overflow: hidden;
            box-shadow: rgba(0 0 0 / 3%) 0 0 0 0, rgba(0 0 0 / 2%) 0 0 1em;
        }

            #ProductContentWrapper .ActionSection #OrderQuantityContainer .T {
                opacity: .8;
            }

            #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox {
                display: flex;
                width: 10em;
                height: 3em;
                background-color: rgba(0 0 0 / 7%);
                border-radius: .5em;
                box-shadow: rgba(0 0 0 / 5%) 0 0 0 1px, rgba(0 0 0 / 5%) 0 0 1px;
                padding-inline: .3em;
                align-items: center;
                gap: 1em;
            }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox:has(> input:focus) {
                    box-shadow: rgba(255 129 16/10) 0 0 0 1.5px inset;
                    background-color: rgba(255 129 16/10%);
                }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox input {
                    font-weight: 700;
                }

                    #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox input::-webkit-outer-spin-button,
                    #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox input::-webkit-inner-spin-button {
                        -webkit-appearance: none;
                        margin: 0;
                    }


                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button {
                    display: flex;
                    width: 2.5em;
                    height: 2.5em;
                    justify-content: center;
                    align-items: center;
                    border-radius: .5em;
                    background: #fff;
                    box-shadow: rgba(0 0 0 / 3%) 0 0 0 0, rgba(0 0 0 / 2%) 0 0 1em;
                    cursor: pointer;
                    padding: 1em;
                }

                    #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button:before {
                        content: "\f217";
                        font-family: "Font Awesome 6 Free";
                        font-size: 1em;
                        line-height: 1;
                        color: inherit;
                    }

                    #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button[is-disabled="true" i] {
                        cursor: not-allowed;
                        pointer-events: none;
                        opacity: .3;
                    }

                    #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button:hover:not([is-disabled="true" i]) {
                        background-color: var(--theme-color);
                        color: #fff;
                    }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox .DeductQty {
                    order: -1;
                }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button.DeductQty::before {
                    content: '\f068';
                }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox .IncreaseQty {
                    order: 1;
                }

                #ProductContentWrapper .ActionSection #OrderQuantityContainer .C .QtyAdjustBox button.IncreaseQty::before {
                    content: '\2b';
                }


        #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer {
            display: flex;
            flex-direction: column;
            gap: 1.5em;
            padding: 1.5em 2em;
            background: #fff;
            border-radius: 1em;
            overflow: hidden;
        }

            #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer #SummaryDetail {
                display: grid;
                grid-template-columns: 1fr auto;
                gap: 1em;
                align-items: center;
            }

                #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer #SummaryDetail .T {
                    opacity: .8;
                }

                #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer #SummaryDetail .C {
                    text-align: right;
                    font-weight: 800;
                }

                #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer #SummaryDetail #TotalPriceDisplay {
                    font-size: 1.66em;
                    color: var(--theme-color);
                }

        #ProductContentWrapper .ActionSection #PurchaseActionSection {
            display: grid;
            grid-template-columns: max(6em, 15%) 1fr;
            gap: 1em;
            height: 3.5em;
        }

            #ProductContentWrapper .ActionSection #PurchaseActionSection button {
                border-radius: .45em;
                font-size: 1.3em;
                font-weight: 800;
                line-height: 1;
            }

            #ProductContentWrapper .ActionSection #PurchaseActionSection #AddToCartBtn {
                background-color: rgba(0 0 0 / 7%);
                color: rgba(79, 79, 79);
            }

                #ProductContentWrapper .ActionSection #PurchaseActionSection #AddToCartBtn:not(:has(.spinner-grow))::before {
                    content: "\f217";
                    font-family: "Font Awesome 6 Free";
                    font-size: 1.2em;
                    line-height: 1;
                }

            #ProductContentWrapper .ActionSection #PurchaseActionSection #BuyNowBtn {
                background-color: var(--theme-color);
                color: #fff;
                text-transform: uppercase;
            }

.ProductContentSection .Content {
    display: flex;
    flex-direction: column;
    gap: 2em;
}

    .ProductContentSection .Content > div {
        background: #fff;
        border-radius: 1em;
        padding: .5em 3.3em;
        box-shadow: rgba(0 0 0 / 3%) 0 0 0 0, rgba(0 0 0 / 2%) 0 0 1em;
    }

        .ProductContentSection .Content > div > .ContentTitle {
            display: flex;
            gap: 0.5em;
            text-transform: uppercase;
            font-weight: 600;
            font-size: 1.1em;
            padding-block: 1em;
            box-shadow: rgba(0 0 0 / 5%) 0 1px
        }

        .ProductContentSection .Content > div > article {
            max-width: 70em;
            padding-block: 1em;
        }


@media only screen and (min-width: 801px) {
    #ProductContentWrapper .ActionSection {
        position: sticky;
        top: calc(var(--header-height) + 2em);
        grid-column: 2;
        grid-row: 1 / 3;
    }

    #ProductContentWrapper .ProductVariantSection .ProductVariantListWrapper .Title {
        display: none;
    }
}

@media only screen and (max-width: 800px) {

    #ProductDetailWrapper > .InnerContent {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        max-width: 40em;
        gap: 2em;
        padding-inline: unset;
        margin-block-end: 0;
    }

    #ProductDetailWrapper .ProductImage[product-classification="Card" i] {
        --width: 12em;
    }

    #ProductDetailWrapper .ProductInfo {
        margin: 0;
    }

        #ProductDetailWrapper .ProductInfo .ProductTitle h1 {
            font-size: 2em;
            text-align: center;
        }

        #ProductDetailWrapper .ProductInfo .Specification {
            justify-content: center;
            align-items: center;
        }

        #ProductDetailWrapper .ProductInfo #ImportantNotes {
            text-align: center;
            margin-block: 1em;
        }

    #ProductContentWrapper > .InnerContent {
        grid-template-columns: 1fr;
        max-width: 40em;
        gap: 1em;
        padding-inline: unset;
    }

    #ProductContentWrapper .ProductVariantSection[data-display="show" i] {
        position: fixed;
        inset: 0;
        z-index: 1000;
        background: rgba(255 255 255 / 80%);
        display: flex;
        align-items: end;
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

        #ProductContentWrapper .ProductVariantSection[data-display="show" i] > .exit-overlay {
            position: absolute;
            inset: 0;
            z-index: -1;
        }

        #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantListWrapper {
            width: 100%;
            max-width: 40em;
            min-height: calc(calc(100vh - var(--header-height))* .572);
            max-height: calc(100vh - var(--header-height) - 5em);
            margin: 0 auto;
            background: #fff;
            box-shadow: rgba(0 0 0 / 10%) 0 0 2em;
            border-radius: 1.6em 1.6em 0 0;
            display: flex;
            flex-direction: column;
            overflow: hidden;
        }

            #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantListWrapper .Title {
                display: grid;
                grid-template-columns: 1fr auto;
                padding: 1.75em 1.5em;
                justify-content: center;
                align-items: center;
            }

                #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantListWrapper .Title h3 {
                    font-size: 1.1em;
                    font-weight: 700;
                }


        #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList {
            flex: auto;
            overflow: hidden;
            overflow-y: auto;
            padding: 1.5em;
            background: hsl(0 0% 97%);
            border-radius: 2em 2em 0 0;
            box-shadow: rgb(0 0 0 / 5%) 0 0 0 1px;
            scrollbar-width: none;
            -ms-overflow-style: none;
            grid-auto-rows: min-content;
        }

            #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList::-webkit-scrollbar {
                display: none;
            }

            #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList .VariantOption {
                padding: 1.1em;
            }

                #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList .VariantOption .Icon,
                #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList .VariantOption[is-selected="true" i] .Icon:after {
                    width: 3em;
                    height: 3em;
                }

                #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList .VariantOption[is-selected="true" i] .Icon:after {
                    left: 0;
                    top: 0;
                }

                #ProductContentWrapper .ProductVariantSection[data-display="show" i] .ProductVariantList .VariantOption[is-selected="true" i] {
                    border: 1.5px solid var(--theme-color-light);
                }

        #ProductContentWrapper .ProductVariantSection[data-display="show" i] .SelectDonmationCloseAction {
            cursor: pointer;
            font-family: "Font Awesome 6 Free";
            font-weight: 800;
            font-size: 1.1em;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 1.5em;
        }

            #ProductContentWrapper .ProductVariantSection[data-display="show" i] .SelectDonmationCloseAction::after {
                content: "\f00d";
                transition: transform 0.3s ease-in-out;
            }

            #ProductContentWrapper .ProductVariantSection[data-display="show" i] .SelectDonmationCloseAction[data-display="closed" i]::after {
                content: "\f00d";
                color: var(--theme-color);
                transform: rotate(180deg);
            }

    body.product-overlay-content-activated {
        overflow: hidden;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected="false"],
    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected=""]
    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected="true" i] .Icon:after,
    #ProductContentWrapper .ProductVariantSection .ProductVariantListWrapper .Title {
        display: none;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected="true" i] {
        border: 0;
        grid-template-columns: auto 1fr auto auto;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[data-status="1"] {
        cursor: pointer;
        opacity: 1;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected="true" i] .Icon img {
        opacity: 1;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption .Icon {
        width: 3em;
        height: 3em;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .VariantOption[is-selected="true" i]::after {
        content: "\f054";
        font-family: "Font Awesome 6 Free";
        display: flex;
        font-size: 0.8em;
        width: 2.5em;
        height: 2.5em;
        font-weight: 700;
        line-height: 1;
        color: currentColor;
        background: rgba(0 0 0/5%);
        border-radius: 50%;
        justify-content: center;
        align-items: center;
    }

    #ProductContentWrapper .ProductVariantSection:not([data-display="show" i]) .ProductVariantList .VariantOption[is-selected="true" i] {
        box-shadow: rgba(0 0 0 / 3%) 0 0 0 0, rgba(0 0 0 / 2%) 0 0 1em;
        background-color: #fff;
    }

    #ProductContentWrapper .ProductContentSection .Content > div {
        padding-inline: 2em;
    }

    #ProductContentWrapper .ProductContentSection .Content {
        gap: 1em;
    }
}

@media only screen and (max-width: 480px) {

    #ProductContentWrapper .ActionSection #OrderQuantityContainer,
    #ProductContentWrapper .ActionSection #OrderPurchaseSummaryContainer,
    #ProductContentWrapper .ProductContentSection .Content > div {
        padding: 1.5em;
    }

    #ProductDetailWrapper .ProductInfo #ImportantNotes {
        margin-inline: 1.5em;
    }
}
